Download it now!
Bug 75475 - Option to reverse series order for stacked area/column charts
Summary: Option to reverse series order for stacked area/column charts
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2014-02-25 01:27 UTC by gekacheka
Modified: 2019-03-18 22:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example area/column/bar stacked charts for table are in opposite vertical order (42.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-25 01:27 UTC, gekacheka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gekacheka 2014-02-25 01:27:58 UTC
Created attachment 94696 [details]
Example area/column/bar stacked charts for table are in opposite vertical order

When presenting both a table of data and a summary stacked chart (stacked area chart, stacked column chart, stacked bar chart), it is difficult to look for corresponding numbers because the chart is in opposite vertical order.

Feature request: an option to build the chart with the data in the same vertical order as the source table.  Maybe "[ ] Reverse series order".  (In contrast to "reverse value order" within a series.)

Workaround: manually reverse the order of the data series using the up and down arrows of the "Data Series" tab of the "Data Ranges" dialog.  This is tedious and error-prone.  (It is also a confusing because the vertical order in the chart is the opposite of the order in the dialog.)


Steps to reproduce:

1. Create a stacked area chart

1a. Copy this tab-separated data to a new spreadsheet

week	w1	w2	w3	w4
new	10	9	8	7
open	10	8	9	8
active	10	7	8	4
review	10	12	9	7
closed	10	13	13	16

1b. Select all the data cells (from 'week' to '16')
1c. Click red 'Chart' button in toolbar
1d. Click 'Area' chart in left column
1e. Click 'Stacked' in top row of charts
1f. Click next
1g. Click "( ) Data Series in Rows"
1h. Click next

Actual result:
Data table has 'new' on top, 'closed' on bottom.
In contrast, stacked chart has 'new' on bottom, 'closed' on top.
No option to reverse order (except tedious manually reordering data series)

Desired result:
Data table has 'new' on top, 'closed' on bottom.
Stacked chart has 'new' on top, 'closed' on bottom.


2. Create a stacked column chart

2a. Copy this tab-separated data to a new spreadsheet

week	w1	w2	w3	w4
new	10	9	8	7
open	10	8	9	8
active	10	7	8	4
review	10	12	9	7
closed	10	13	13	16

2b. Select all the data cells (from 'week' to '16')
2c. Click red 'Chart' button in toolbar
2d. Click 'Column' chart in left column
2e. Click 'Stacked' in top row of charts
2f. Click next
2g. Click "( ) Data Series in Rows"
2h. Click next

Actual result:
Data table has 'new' on top, 'closed' on bottom.
In contrast, stacked chart has 'new' on bottom, 'closed' on top.
No option to reverse order (except tedious manually reordering data series)

Desired result:
Data table has 'new' on top, 'closed' on bottom.
Stacked chart has 'new' on top, 'closed' on bottom.


3. Create a stacked bar chart

3a. Copy this tab-separated data to a new spreadsheet

week	new	open	active	review	closed
w1	10	10	10	2	5
w2	9	8	6	6	8
w3	7	4	10	5	11
w4	5	2	10	4	16

3b. Select all the data cells (from 'week' to '16')
3c. Click red 'Chart' button in toolbar
3d. Click 'Bar' chart in left column
3e. Click 'Stacked' in top row of charts
3f. click next

Actual result:
Data table has 'w1' on top, 'w4' on bottom.
In contrast, stacked chart has 'w1' on bottom, 'w4' on top.
No option to reverse order (but see workaround below).

Desired result:
Data table has 'new' on top, 'closed' on bottom.
Stacked chart has 'new' on top, 'closed' on bottom.

(Workaround for #3 only:
3g. double click chart to edit it
3h. right click on y-axis (or its labels), select "Format Axis..."
3i. click "Scale" tab
3j. Enable "Reverse Direction" checkbox
However, this puts the x-axis at the top of the chart.)

(LibreOffice Version: 4.2.1.1, Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b, 32bit windows XP)
Comment 1 A (Andy) 2014-10-17 22:34:43 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 2 Timur 2017-06-23 16:12:31 UTC
Creating chart again in new LO, 1. and 2. are not reproducible, and 3. is a duplicate od Bug 53301. So, it's not "stacked" but "bar" problem now. 
But, title of this bug is an enhancement "[ ] Reverse series order", so I leave it open.